Leer los metadatos de redacción de AIP
GET/api/public/v1/aip/authoring-metadata beta
The four brief entries, whether recordings can be transcribed, the bounds a request must stay inside, and the languages a brief may be written in (any). 409 AI_NOT_ENABLED when AI authoring is not enabled.
curl --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/aip/authoring-metadata' \ -H "Authorization: Bearer $OPENLATCH_API_KEY"import jsonimport osimport urllib.request
request = urllib.request.Request( 'https://app.openlatch.ai/api/public/v1/aip/authoring-metadata', method='GET', headers={ 'Authorization': 'Bearer ' + os.environ['OPENLATCH_API_KEY'], },)with urllib.request.urlopen(request) as response: text = response.read().decode() print(json.dumps(json.loads(text), indent=2) if text else response.status)#!/usr/bin/env bashset -euo pipefail
curl -sS --fail-with-body -X GET 'https://app.openlatch.ai/api/public/v1/aip/authoring-metadata' \ -H "Authorization: Bearer $OPENLATCH_API_KEY" | jq .$headers = @{ Authorization = "Bearer $env:OPENLATCH_API_KEY"}Invoke-RestMethod -Method GET -Uri 'https://app.openlatch.ai/api/public/v1/aip/authoring-metadata' -Headers $headers | ConvertTo-Json -Depth 20Autorización
Sección titulada «Autorización»| Rol en la organización | Este punto de conexión |
|---|---|
owner | Permitido |
admin | Permitido |
editor | Permitido |
viewer | Permitido |
Una clave tiene el rol que su propietario ocupa en la organización. Consulte Autenticación.
Ámbito de la clave de API: aip:read
Respuesta
Sección titulada «Respuesta»- 200 OK — la llamada se completó correctamente.
- 401 Unauthorized —
UNAUTHORIZED - 402 Payment Required —
license_expired - 403 Forbidden —
FEATURE_DISABLED,FORBIDDEN,INSUFFICIENT_SCOPE - 409 Conflict —
AI_NOT_ENABLED - 422 Unprocessable Content —
INVALID_ID,VALIDATION_ERROR - 429 Too Many Requests —
TOO_MANY_REQUESTS - 500 Internal Server Error —
INTERNAL_SERVER_ERROR,tenant_isolation_violation - 503 Service Unavailable —
FEATURE_STATE_UNAVAILABLE,SERVICE_UNAVAILABLE
Campos de la respuesta
Sección titulada «Campos de la respuesta»| Campo | Tipo | Descripción |
|---|---|---|
data | object | Obligatorio. The four brief entries, whether recordings can be transcribed, the bounds, and the languages (any). |
data.entries | array of string — one of paste, upload, record, preset | Obligatorio. |
data.languages | string — any | |
data.limits | object | Obligatorio. |
data.limits.dictionary_value_max_chars | integer | Obligatorio. |
data.limits.dictionary_values_per_table_max | integer | Obligatorio. |
data.limits.max_upload_bytes | integer | Obligatorio. |
data.limits.sentence_max_chars | integer | Obligatorio. |
data.speech_available | boolean | Obligatorio. |
Ejemplo de respuesta
Sección titulada «Ejemplo de respuesta»{ "data": { "entries": [ "paste" ], "languages": "any", "limits": { "dictionary_value_max_chars": 3, "dictionary_values_per_table_max": 3, "max_upload_bytes": 3, "sentence_max_chars": 3 }, "speech_available": false }}